---
lang: en
title: 'API docs: rest-crud.crudrestcontrolleroptions'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/loopbackio/loopback-next/tree/master/packages/rest-crud
permalink: /doc/en/lb4/apidocs.rest-crud.crudrestcontrolleroptions.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest-crud](./rest-crud.md) &gt; [CrudRestControllerOptions](./rest-crud.crudrestcontrolleroptions.md)

## CrudRestControllerOptions interface

Options to configure different aspects of a CRUD REST Controller.

**Signature:**

```typescript
export interface CrudRestControllerOptions 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[basePath](./rest-crud.crudrestcontrolleroptions.basepath.md)


</td><td>


</td><td>

string


</td><td>

The base path where to "mount" the controller.


</td></tr>
<tr><td>

[readonly?](./rest-crud.crudrestcontrolleroptions.readonly.md)


</td><td>


</td><td>

boolean


</td><td>

_(Optional)_ Whether to generate readonly APIs


</td></tr>
</tbody></table>

